using System;
using System.IO;
using System.Xml;
using Hula.Store;
using Hula.Cal;
using Hula.Util;
using Lucene.Net.Documents;

namespace Hula.Dav {
public class AddressbookDataFormatter : ResultFormatter {
    private string streamName;
    private Filter filter;

    public AddressbookDataFormatter(string streamName,
				    XmlNode node) {
	this.streamName = streamName;

	this.filter = new VCardFilter(node);
    }

    public override void Format(TextWriter writer, IStore store, string status) {
	// Do nothing
    }

    public override void Format(TextWriter writer, IStore store, Document doc, string status) {
	if (doc != null 
	    && (doc.GetField("hula.mime-type").StringValue() == "text/x-vcard")) {
	    writer.WriteLine("<{0}>", streamName);
	    using (TextReader reader = store.Get(doc.GetField("guid").StringValue())) {
		filter.Run(reader, writer);
	    }
	    writer.WriteLine("</{0}>", streamName);	    
	}
    }
}
}
