using System;
using System.Xml;
using System.Text;
using System.Collections;
using System.IO;
using System.Web;
using Lucene.Net.Search;
using Lucene.Net.Index;
using Lucene.Net.Documents;
using Lucene.Net.QueryParsers;
using Lucene.Net.Analysis.Standard;
using Hula.Store;
using Hula.Indexing;

namespace Hula.Dav {

public class LuceneReport : QueryReport {
    public LuceneReport(HttpContext context) : base (context) {
    }

    protected override void HandleNode(XmlNode node) {
	switch(node.LocalName) {
	case "query" :
	    ParseQuery(node);
	    break;
	default :
	    base.HandleNode(node);
	    break;
	}
    }

    private void ParseQuery (XmlNode node) {
	Query q = QueryParser.Parse(node.InnerText, "everything", new HulaAnalyzer());
	query.Add(q, true, false);
    }
}
}
