using System.Collections;
using System.IO;
using Lucene.Net.Index;
using Lucene.Net.Documents;
using Hula.Store;

namespace Hula.Indexing {

public class FolderIndexer : Indexer {
    public FolderIndexer() : base(){
    }

    public override void IndexDocument(LuceneIndex idx,
				       IStore store, 
				       string guid) {
	IDictionary properties;

        properties = store.GetProperties(guid);
        Document doc = new Document();
        AddProperties(doc, properties);
        AddStandardFields(doc, store, guid, properties);
        idx.Writer.AddDocument(doc);
    }
} 
}
