using System;
using System.Collections;
using System.IO;
using System.Net;
using System.Xml;
using System.Xml.XPath;
using NUnit.Framework;
using Hula.TestData;

namespace Hula.Queue {
[TestFixture]
public class TestQueue {    
    public static int testPort = 8081;
    public static string testUser = "test";
    public string testPassword = "test";
    
    public WebRequest GetRequest(string method, string path){
        WebRequest request = WebRequest.Create("http://127.0.0.1:" + testPort.ToString() + path);
        request.Credentials = Credentials();
        request.PreAuthenticate = true;
        request.Method = method;
        return request;
    }

    public ICredentials Credentials() {
        return new NetworkCredential(testUser, testPassword);
    }

    public WebResponse Put(string localRecipients,
			   string recipients, 
			   string path, 
			   string data) {
        WebRequest request = GetRequest("PUT", path);

	if (localRecipients != null) {
	    request.Headers["X-Hula-LocalRecipients"] = localRecipients;
	}

	if (recipients != null) {
	    request.Headers["X-Hula-Recipients"] = recipients;
	}

        using(StreamWriter writer = new StreamWriter(request.GetRequestStream())) {
            writer.Write(data);
        }

        return request.GetResponse();
    }

    [Test]
    public void TestSimpleMail() {
	Put(testUser, null, "/queue/whatever.mail", Data.GetString("mail1.eml")).Close();
    }
}
}
