#!/usr/bin/perl -w
use strict;

# Makefile.am updating is tedious. This kills some tedium

sub trampleMakefileAm {
	my ($dir) = @_;
	
	opendir (SUBDIR, $dir) or die "Cannot open directory: $dir";
	my @files = grep { $_!~/^\.\.?$/ && -f "$dir/$_" } readdir  (SUBDIR);
	closedir (SUBDIR);
	
	open (MAKEFILE, ">$dir/Makefile.am") or die "Cannot open Makefile.am in $dir";
	print MAKEFILE "# AUTOGENERATED BY PERL SCRIPT IN DIRECTORY ABOVE\n";
	print MAKEFILE "SUBDIRS=\n\nTEMPLATE_SOURCES= \\\n\t";
	print MAKEFILE join (" \\\n\t", @files);
	print MAKEFILE "\n\nEXTRA_DIST=\$(TEMPLATE_SOURCES)\n";
	close (MAKEFILE);
}

opendir (HERE, '.') or die "Cannot read current directory";
my @subdirs = grep { /^\d+$/ } readdir (HERE);
close (HERE);

foreach (@subdirs) {
	trampleMakefileAm("./$_/");
}
